Skip to content
Start here

Update an mTLS certificate

client.zeroTrust.access.certificates.update(stringcertificateId, CertificateUpdateParams { associated_hostnames, account_id, zone_id, name } params, RequestOptionsoptions?): Certificate { id, associated_hostnames, expires_on, 2 more }
PUT/{accounts_or_zones}/{account_or_zone_id}/access/certificates/{certificate_id}

Updates a configured mTLS certificate.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Access: Mutual TLS Certificates Write
ParametersExpand Collapse
certificateId: string

UUID.

maxLength36
params: CertificateUpdateParams { associated_hostnames, account_id, zone_id, name }
associated_hostnames: Array<AssociatedHostnames>

Body param: The hostnames of the applications that will use this certificate.

account_id?: string

Path param: The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.

zone_id?: string

Path param: The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.

name?: string

Body param: The name of the certificate.

ReturnsExpand Collapse
Certificate { id, associated_hostnames, expires_on, 2 more }
id?: string

The ID of the application that will use this certificate.

associated_hostnames?: Array<AssociatedHostnames>

The hostnames of the applications that will use this certificate.

expires_on?: string
formatdate-time
fingerprint?: string

The MD5 fingerprint of the certificate.

name?: string

The name of the certificate.

Update an mTLS certificate

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const certificate = await client.zeroTrust.access.certificates.update(
  'f174e90a-fafe-4643-bbbc-4a0ed4fc8415',
  { associated_hostnames: ['admin.example.com'], account_id: 'account_id' },
);

console.log(certificate.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "id",
    "associated_hostnames": [
      "admin.example.com"
    ],
    "created_at": "2014-01-01T05:20:00.12345Z",
    "expires_on": "2014-01-01T05:20:00.12345Z",
    "fingerprint": "MD5 Fingerprint=1E:80:0F:7A:FD:31:55:96:DE:D5:CB:E2:F0:91:F6:91",
    "name": "Allow devs",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "id",
    "associated_hostnames": [
      "admin.example.com"
    ],
    "created_at": "2014-01-01T05:20:00.12345Z",
    "expires_on": "2014-01-01T05:20:00.12345Z",
    "fingerprint": "MD5 Fingerprint=1E:80:0F:7A:FD:31:55:96:DE:D5:CB:E2:F0:91:F6:91",
    "name": "Allow devs",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}